/*****************************************************************************/
/*
                                 Admin.h
*/
/*****************************************************************************/

#ifndef ADMIN_H_LOADED
#define ADMIN_H_LOADED 1

#include "wasd.h"
#include "auth.h"

/**********/
/* macros */
/**********/

#define ADMIN_WATCH_CONNECT           0x00001
#define ADMIN_WATCH_REQUEST           0x00002
#define ADMIN_WATCH_REQUEST_BODY      0x00004
#define ADMIN_WATCH_REQUEST_HEADER    0x00008
#define ADMIN_WATCH_RESPONSE          0x00010
#define ADMIN_WATCH_RESPONSE_BODY     0x00020
#define ADMIN_WATCH_RESPONSE_HEADER   0x00040
#define ADMIN_WATCH_MAPPING           0x00080
#define ADMIN_WATCH_AUTH              0x00100
#define ADMIN_WATCH_ERROR             0x00200
#define ADMIN_WATCH_NETWORK           0x00400
#define ADMIN_WATCH_TIMER             0x00800
#define ADMIN_WATCH_LOG               0x01000
#define ADMIN_WATCH_SESOLA            0x02000
#define ADMIN_WATCH_CGI               0x04000
#define ADMIN_WATCH_DCL               0x08000
#define ADMIN_WATCH_DECNET            0x10000
#define ADMIN_WATCH_FILTER            0x20000

/***********************/
/* function prototypes */
/***********************/

AdminBegin (struct RequestStruct*, void*);
AdminControl (struct RequestStruct*, void*, char*);
AdminControlSuccess (struct RequestStruct*, char*, char*);
AdminMenu (struct RequestStruct*, void*);
AdminReportServerStats (struct RequestStruct*, void*);
AdminWatchBegin (struct RequestStruct*, void*);
boolean AdminWatchCli (char*);
AdminWatchCliSettings ();
char* AdminWatchCategory (int);
AdminWatchData (char*, int);
AdminWatchDummyReadAst (struct RequestStruct*);
AdminWatchEnd (struct RequestStruct*);
AdminWatchFilter (char*, char*, char*, char*, char*);
AdminWatchReport (struct RequestStruct*, void*);
AdminWatchSetNumber (struct RequestStruct*);
AdminWatchThis (struct RequestStruct*, char*, int, int, char*, ...);

#endif /* ADMIN_H_LOADED */

/*****************************************************************************/
